#!/bin/sh
# remove setup specific packages when they're done

CONFIG=/etc/alterator-setup/config

[ ! -s "$CONFIG" ] ||
	. "$CONFIG"

# it's 1 by default
if [ "$REMOVE_SELF" = 1 ]; then
	list="$(rpmquery -a 'installer-*' 'alterator-wizardf*' 'alterator-livecd' 'livecd-installer-features') alterator-setup"
	rpmi -e -- $list
	sync
fi

# restore ordinary boot; backup should be done by the %post script
TARGET=/etc/systemd/system/default.target
rm -f "$TARGET"
[ -s "$TARGET".bak ] && mv "$TARGET".bak "$TARGET" ||:
sync

exit 0
